package com.liquidnet.service.adam.dto.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "ThirdPartInfoVo", description = "用户第三方信息")
@Data
public class AdamThirdPartInfoVo implements java.io.Serializable, Cloneable {
    private static final long serialVersionUID = -3239086191919676121L;
    @ApiModelProperty(position = 11, value = "用户ID[64]")
    private String uid;
    @ApiModelProperty(position = 12, value = "第三方ID[64]")
    private String openId;
    @ApiModelProperty(position = 13, value = "昵称[64]")
    private String nickname;
    @ApiModelProperty(position = 14, value = "头像[255]")
    private String avatar;
    @ApiModelProperty(position = 15, value = "平台类型[20]")
    private String platform;
    @ApiModelProperty(position = 16, value = "状态[1-绑定,2-解绑]")
    private Integer state;
    @ApiModelProperty(position = 17, value = "创建时间")
    private String createdAt;
    @ApiModelProperty(position = 18, value = "更新时间")
    private String updatedAt;

    private static final AdamThirdPartInfoVo obj = new AdamThirdPartInfoVo();

    public static AdamThirdPartInfoVo getNew() {
        try {
            return (AdamThirdPartInfoVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new AdamThirdPartInfoVo();
    }
}
